- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
geventloop_unix.cpp File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gnoncopyable.h"`
`#include "gevent.h"`
`#include "gexception.h"`
`#include "gstr.h"`
`#include "gsetter.h"`
`#include "gtimer.h"`
`#include "gtest.h"`
`#include "gdebug.h"`
`#include <sys/types.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Classes
class | GNet::FdSet
| An "fd_set" wrapper type. More...
class | GNet::Select
| A concrete implementation of GNet::EventLoop using select() in the implementation. More...
class | GNet::Lock
| A private implementation class used by GNet::Select to lock data structures in the face of reentrancy. More...

## Namespaces
| GNet
| Network classes.

## Typedefs
typedef struct timeval | Timeval

## Typedef Documentation

typedef struct timeval Timeval

Definition at line 34 of file geventloop_unix.cpp.